#ifndef QGPROPERTYWIDGET_H
#define QGPROPERTYWIDGET_H

#include <QWidget>
#include <QDialog>


class QgPropertyWidget: public QWidget
{
    Q_OBJECT

public:
    explicit QgPropertyWidget(QObject* obj=0, QWidget* parent=0);
    virtual ~QgPropertyWidget();

private:
    class Implementation;
    Implementation& p_;

//private Q_SLOTS:
//    void treeExpand();
};


class QgPropertyDialog: public QDialog
{
    Q_OBJECT

public:
    explicit QgPropertyDialog(QObject* obj=0, QWidget* parent=0);
    virtual ~QgPropertyDialog();

    QgPropertyWidget& propertyWidget();

private:
    class Implementation;
    Implementation& p_;
};


class QgPropertyBrosweItem;

class QgPropertyBrowser
{
public:

};

#endif // QGPROPERTYWIDGET_H
